module MineTNT
using ..Ahorn, Maple

@mapdef Entity "Mine/TNT" TNT(x::Integer, y::Integer)


const placements = Ahorn.PlacementDict(
    "TNT (mine)" => Ahorn.EntityPlacement(
       TNT
    )
)


function Ahorn.selection(entity::TNT)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 16, 16)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::TNT)
    Ahorn.drawImage(ctx, "objects/TNT/TNT00", 0, 0)
end

end