module MineGCrystal
using ..Ahorn, Maple

@mapdef Entity "Mine/GCrystal" GCrystal(x::Integer, y::Integer)
const placements = Ahorn.PlacementDict(
   
	"GCrystal (Mine)" => Ahorn.EntityPlacement(
		GCrystal,
		"point",
		Dict{String, Any}(),
        function(entity)
            entity.data["attachToSolid"] = true
			entity.data["directory"] = "danger/crystal"
        end
	)
)

function Ahorn.selection(entity::GCrystal)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x - 8, y - 8, 16, 16)
end
function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::GCrystal, room::Maple.Room)
	texture = get(entity.data, "directory", "danger/crystal")
	realTexture = "$texture/fg_mine03.png"
    Ahorn.drawSprite(ctx, realTexture, 0, 0)
	# Ahorn.drawSprite(ctx, realTexture, 0, 0)
end
end