module MineGCrystal
using ..Ahorn, Maple

@mapdef Entity "Mine/Minecart" Minecart(x::Integer, y::Integer)
const placements = Ahorn.PlacementDict(
   
	"Minecart (Mine)" => Ahorn.EntityPlacement(
		Minecart,
		"point",
		Dict{String, Any}(),
        function(entity)
            entity.data["attachToSolid"] = true
			entity.data["directory"] = "objects/minecart"
        end
	)
)

function Ahorn.selection(entity::Minecart)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 16, 16)
end
function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::Minecart, room::Maple.Room)
	texture = get(entity.data, "directory", "objects/minecart")
	realTexture = "$texture/minecart00.png"
    Ahorn.drawSprite(ctx, realTexture, 0, 0)
	# Ahorn.drawSprite(ctx, realTexture, 0, 0)
end
end