module MineGCrystal
using ..Ahorn, Maple

@mapdef Entity "Mine/Rail" Rail(x::Integer, y::Integer)
const placements = Ahorn.PlacementDict(
   
	"Rail (Mine)" => Ahorn.EntityPlacement(
		Rail,
		"point",
		Dict{String, Any}(),
        
	)
)

col = (0, 0, 0, 255) ./ 255
function Ahorn.selection(entity::Rail)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 8, 1)
end
function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::Rail, room::Maple.Room)
    Ahorn.drawRectangle(ctx, 0, 0, 8, 1, col, col)
	# Ahorn.drawSprite(ctx, realTexture, 0, 0)
end
end