module MineUpPlatform
using ..Ahorn, Maple

@mapdef Entity "Mine/UpPlatformSpawn" UpPlatform(x::Integer, y::Integer)
const placements = Ahorn.PlacementDict(
   
	"UpPlatform Spawner (Mine)" => Ahorn.EntityPlacement(
		UpPlatform,
		"point",
		Dict{String, Any}(),
        
	)
)

col = (0, 0, 0, 255) ./ 255
function Ahorn.selection(entity::UpPlatform)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 32, 3)
end
function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::UpPlatform, room::Maple.Room)
    Ahorn.drawRectangle(ctx, 0, 0, 32, 3, col, col)
	# Ahorn.drawSprite(ctx, realTexture, 0, 0)
end
end