﻿using Celeste;
using Microsoft.Xna.Framework;
using Monocle;
using System;
using System.Collections;

using System.Collections.Generic;
using Celeste.Mod.Entities;

using On.Celeste;
using System.Linq;
using Celeste.Mod.Mine.Entities;

namespace Celeste.Mod.Mine.Cutscene
{
    [CustomEntity("Mine/CSTheMineEnter")]
    public class CSTheMine_Enter : BetterCutscene
    {
        public CSTheMine_Enter(EntityData e, Vector2 position)
          : base(e, position, "csTheMine_Enter")

        {
        }

        public override IEnumerator Routine()
        {
            LockPlayer();

            yield return Textbox.Say("theMine_enterBadeline");
            yield return 0.5f;
            yield return BadelineAppears();
            yield return 0.3f;
            // yield return Duck(1f);
            yield return Textbox.Say("theMine_enterBadeline2");
            yield return BadelineRejoin();

            UnlockPlayer();
            EndCutscene(Level);
        }
    }

    [CustomEntity("Mine/CSTheMinePit")]
    public class CSTheMinePit : BetterCutscene
    {
        public CSTheMinePit(EntityData e, Vector2 position)
          : base(e, position, "CSTheMinePit")

        {
        }

        public override IEnumerator Routine()
        {
            LockPlayer();

            yield return BadelineAppears();
            yield return Textbox.Say("theMine_thePit0");
            yield return 0.3f;
            yield return BadelineRejoin();
            // yield return Duck(1f);

            UnlockPlayer();
            EndCutscene(Level);
        }
    }

    [CustomEntity("Mine/CSTheMineDarkness")]
    public class CSTheMineDarkness : BetterCutscene
    {
        public CSTheMineDarkness(EntityData e, Vector2 position)
          : base(e, position, "CSTheMineDarkness")

        {
        }

        public override IEnumerator Routine()
        {
            LockPlayer();

            yield return BadelineAppears();
            yield return Textbox.Say("theMine_darkness0");
            yield return 0.3f;
            yield return BadelineRejoin();
            // yield return Duck(1f);

            UnlockPlayer();
            EndCutscene(Level);
        }
    }
}