module MineCrackedStone
using ..Ahorn, Maple

@mapdef Entity "Mine/CrackedStone" CrackedStone(x::Integer, y::Integer)


const placements = Ahorn.PlacementDict(
    "CrackedStone (mine)" => Ahorn.EntityPlacement(
       CrackedStone
    )
)


function Ahorn.selection(entity::CrackedStone)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 8, 8)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::CrackedStone)
    Ahorn.drawImage(ctx, "objects/CrackedStone/CrackedStone00", 0, 0)
end

end