module MineReverseRisingLava
using ..Ahorn, Maple

@mapdef Entity "Mine/ReverseRisingLava" ReverseRisingLava(x::Integer, y::Integer)


const placements = Ahorn.PlacementDict(
    "ReverseRisingLava (Mine)" => Ahorn.EntityPlacement(
       ReverseRisingLava
    )
)


function Ahorn.selection(entity::ReverseRisingLava)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 16, 16)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::ReverseRisingLava)
    Ahorn.drawImage(ctx, "objects/reverseRisingLava/AhornIcon00", 0, 0)
end

end