module MineTeacherGravestone
using ..Ahorn, Maple

@mapdef Entity "Mine/TeacherGravestone" TeacherGravestone(x::Integer, y::Integer)


const placements = Ahorn.PlacementDict(
    "TeacherGravestone (Mine)" => Ahorn.EntityPlacement(
       TeacherGravestone
    )
)


function Ahorn.selection(entity::TeacherGravestone)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 3, 16)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::TeacherGravestone)
    Ahorn.drawImage(ctx, "objects/TeacherGravestone/TeacherGravestone00", 0, 0)
end

end