module MineChain
using ..Ahorn, Maple

@mapdef Entity "Mine/Chain" Chain(x::Integer, y::Integer)


const placements = Ahorn.PlacementDict(
    "Chain (mine)" => Ahorn.EntityPlacement(
       Chain
    )
)


function Ahorn.selection(entity::Chain)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 3, 16)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::Chain)
    Ahorn.drawImage(ctx, "objects/chain/chain00", 0, 0)
end

end