module MineChain
using ..Ahorn, Maple

@mapdef Entity "Mine/CrystalShooter" CrystalShooter(x::Integer, y::Integer)


const placements = Ahorn.PlacementDict(
    "CrystalShooter (mine)" => Ahorn.EntityPlacement(
       CrystalShooter
    )
)


function Ahorn.selection(entity::CrystalShooter)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 16, 16)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::CrystalShooter)
    Ahorn.drawImage(ctx, "objects/crystalShooter/shooter00", 0, 0)
end

end