module MineFireManager
using ..Ahorn, Maple

@mapdef Entity "Mine/FireManager" FireManager(x::Integer, y::Integer)


const placements = Ahorn.PlacementDict(
    "FireManager (mine)" => Ahorn.EntityPlacement(
       FireManager
    )
)


function Ahorn.selection(entity::FireManager)
    x, y = Ahorn.position(entity)

    return Ahorn.Rectangle(x, y, 16, 16)
end

col = (255, 0, 0, 255) ./ 255
function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::FireManager)
      Ahorn.drawRectangle(ctx, 0, 0, 16, 16, col, col)
end

end